libzypp 17.37.10

zypp::log::FileLineWriter Struct Reference

LineWriter to file. More...

`#include <zypp-core/base/LogControl.h>`

Inheritance diagram for zypp::log::FileLineWriter:

## Public Member Functions
| FileLineWriter (const Pathname &file_r, mode_t mode_r=0)
Public Member Functions inherited from zypp::log::StreamLineWriter
| StreamLineWriter (std::ostream &str_r)
void | writeOut (const std::string &formated_r) override
Public Member Functions inherited from zypp::log::LineWriter
virtual | ~LineWriter ()

## Protected Attributes
shared_ptr< void > | _outs
Protected Attributes inherited from zypp::log::StreamLineWriter
std::ostream * | _str

## Additional Inherited Members
Protected Member Functions inherited from zypp::log::StreamLineWriter
| StreamLineWriter ()

## Detailed Description

LineWriter to file.

If `mode_r` is not `0`, `file_r` persissions are changed accordingly. `"-"` logs to `cerr`.

Definition at line 72 of file LogControl.h.

## Constructor & Destructor Documentation

## ◆ FileLineWriter()

zypp::log::FileLineWriter::FileLineWriter | ( | const Pathname & | file_r,
|  | mode_t | mode_r = 0 )

Definition at line 372 of file LogControl.cc.

## Member Data Documentation

## ◆ _outs

shared_ptr<void> zypp::log::FileLineWriter::_outs
| protected

Definition at line 76 of file LogControl.h.

The documentation for this struct was generated from the following files:

- zypp-core/base/LogControl.h
- zypp-core/base/LogControl.cc